# Command: spike_dilutor

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    spike_dilutor - repeats incoming spikes with a certain probability.

Description:

      The device repeats incoming spikes with a certain probability.
      Targets will receive diffenrent spike trains.

Parameters:

      The following parameters appear in the element's status dictionary:
      p_copy double	- Copy probability

Sends:

    SpikeEvent

Remarks:

      In parallel simulations, a copy of the device is present on each process
      and spikes are collected only from local sources.

Author:

    Adapted from mip_generator by Kunkel, Oct 2011
      ported to Nest 2.6 by: Setareh, April 2015

SeeAlso:

- mip_generator

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/models/spike_dilutor.h

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative